%global forgeurl https://github.com/fief-dev/zxcvbn-rs-py
%global version 0.2.0
%global commit 735197990dd7cfed4eee6a5dd4ec06d17d537971
%global date 20250315
%forgemeta

Name: python3-zxcvbn-rs-py
Version: %{forgeversion}
Release: %{autorelease}
Summary: Python bindings for zxcvbn-rs
License: MIT
URL: %{forgeurl}
Source0: %{forgesource}
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(maturin)
BuildRequires: python3dist(tox-current-env)

%description
zxcvbn-rs-py provides python bindings for zxcvbn-rs.
zxcvbn-rs is a Rust implementation of zxcvbn.

%prep
%forgesetup
%__sed -i -e '/^requires-python\s/s|<|<=|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%check
%pyproject_check_import

%install
%pyproject_install
%pyproject_save_files zxcvbn_rs_py

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
